/*
 * @Author: 阿小凉
 * @Date: 2023-11-25 09:01:46
 * @LastEditTime: 2023-11-29 18:23:46
 */

// 入驻企业
import request from '@/utils/request'

// 企业列表
export const companyList = params => request({ url: '/company/list', method: 'get', params })
// 企业信息
export const companyInfo = params => request({ url: '/company/info', method: 'get', params })
// 全部企业
export const companyAll = params => request({ url: '/company/all', method: 'get', params })
// 模块分类
export const companyCategory = params => request({ url: '/company/category', method: 'get', params })
// 新增企业
export const addCompany = data => request({ url: '/company/add', method: 'post', data })
// 修改企业
export const editCompany = data => request({ url: '/company/edit', method: 'post', data })
// 删除企业
export const deleteCompany = data => request({ url: '/company/delete', method: 'post', data })
// 导入企业
export const importCompany = data => request({ url: '/company/import', method: 'post', data })


// 人才管理

// 人才列表
export const talentList = params => request({ url: '/talent/list', method: 'get', params })
// 分类模块
export const talentCategory = params => request({ url: '/talent/category', method: 'get', params })
// 新增人才
export const addTalent = data => request({ url: '/talent/add', method: 'post', data })
// 修改人才
export const editTalent = data => request({ url: '/talent/edit', method: 'post', data })
// 删除人才
export const deleteTalent = data => request({ url: '/talent/delete', method: 'post', data })
// 导入人才
export const importTalent = data => request({ url: '/talent/import', method: 'post', data })

// 知识产权
// 知识产权列表
export const patentList = params => request({ url: '/patent/list', method: 'get', params })
// 知识产权模块
export const patentCategory = params => request({ url: '/patent/category', method: 'get', params })
// 知识产权信息
export const patentInfo = params => request({ url: '/patent/info', method: 'get', params })
// 新增知识产权
export const addPatent = data => request({ url: '/patent/add', method: 'post', data })
// 修改知识产权
export const editPatent = data => request({ url: '/patent/edit', method: 'post', data })
// 删除知识产权
export const deletePatent = data => request({ url: '/patent/delete', method: 'post', data })
// 导入知识产权
export const importPatent = data => request({ url: '/patent/import', method: 'post', data })

// 企业项目
// 企业项目列表
export const projectList = params => request({ url: '/project/list', method: 'get', params })
// 所有项目
export const projectAll = params => request({ url: '/project/all', method: 'get', params })
// 企业对应下项目
export const companyProject = params => request({ url: '/project/company_project', method: 'get', params })
// 企业项目模块
export const projectCategory = params => request({ url: '/project/category', method: 'get', params })
// 新增企业项目
export const addProject = data => request({ url: '/project/add', method: 'post', data })
// 修改企业项目
export const editProject = data => request({ url: '/project/edit', method: 'post', data })
// 删除企业项目
export const deleteProject = data => request({ url: '/project/delete', method: 'post', data })
// 导入企业项目
export const importProject = data => request({ url: '/project/import', method: 'post', data })

// 企业产值
// 企业产值列表
export const infoList = params => request({ url: '/info/list', method: 'get', params })
// 新增企业产值
export const addInfo = data => request({ url: '/info/add', method: 'post', data })
// 修改企业产值
export const editInfo = data => request({ url: '/info/edit', method: 'post', data })
// 删除企业产值
export const deleteInfo = data => request({ url: '/info/delete', method: 'post', data })
// 导入企业产值
export const importInfo = data => request({ url: '/info/import', method: 'post', data })

// 企业产品
// 企业产品列表
export const productList = params => request({ url: '/product/list', method: 'get', params })
// 新增企业产品
export const addProduct = data => request({ url: '/product/add', method: 'post', data })
// 修改企业产品
export const editProduct = data => request({ url: '/product/edit', method: 'post', data })
// 删除企业产品
export const deleteProduct = data => request({ url: '/product/delete', method: 'post', data })
// 导入企业产品
export const importProduct = data => request({ url: '/product/import', method: 'post', data })
